import {request} from '../utils/request'

// 获取验证码
export function getCodeImg() {
	return request({
		url: '/captchaImage',
		method: 'get',
	})
}

// 登录方法
export function login(data) {
	return request({
		url: '/wxApi/login',
		method: 'post',
		data: data,
	})
}

// 获取授权
export function getMaOpenId(code) {
	return request({
		url: '/getMaOpenId',
		method: 'post',
		data: data,
	})
}

// 登录方法
export function maLogin(data) {
	return request({
		url: '/maLogin',
		method: 'post',
		data: data,
	})
}

// 登录方法
export function updatePwd(data) {
	return request({
		url: '/wxApi/updatePwd',
		method: 'post',
		data: data,
	})
}

// 用户退出方法
export function loginOut() {
	return request({
		'url': '/wxApi/loginOut',
		'method': 'get'
	})
}

// 刷线用户信息
export function refreshUser() {
	return request({
		'url': '/wxApi/refreshUserInfo',
		'method': 'get'
	})
}

